<template lang="pug">
<!-- eslint-disable -->
  .__nuxt-error-page
    .error
      div(v-if="statusCode === 404")
        page-not-found(height="200" primaryColor="rgba(var(--color-primary), 0.8)")

      div(v-else)
        <svg xmlns="http://www.w3.org/2000/svg" width="90" height="90" fill="#DBE1EC" viewBox="0 0 48 48">
          <path d="M22 30h4v4h-4zm0-16h4v12h-4zm1.99-10C12.94 4 4 12.95 4 24s8.94 20 19.99 20S44 35.05 44 24 35.04 4 23.99 4zM24 40c-8.84 0-16-7.16-16-16S15.16 8 24 8s16 7.16 16 16-7.16 16-16 16z" />
        </svg>

        .title {{ message }}

      p.description(v-if="statusCode === 404") {{ $t('404 message', { thing: message || 'page' }) }}
      p.description(v-else-if="statusCode === 503") {{ $t('503 message', { thing: message || 'page' }) }}
      p.description(v-else) {{ $t('generic error message') }}
</template>

<script>
/* eslint-disable */
import PageNotFound from 'vue-undraw/UndrawPageNotFound'

export default {
  layout: 'default',
  name: 'NuxtError',
  components: {
    PageNotFound
  },
  props: {
    error: {
      type: Object,
      default: null
    }
  },
  head() {
    return {
      title: this.message
    }
  },
  computed: {
    statusCode() {
      return (this.error && this.error.statusCode) || 404
    },
    message() {
      return this.error && this.error.message
    }
  }
}
</script>

<style>
.__nuxt-error-page {
  padding: 1rem;
  background: #F7F8FB;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
}
.__nuxt-error-page .error {
  max-width: 450px;
}
.__nuxt-error-page .title {
  font-size: 1.5rem;
  margin-top: 15px;
  color: #47494E;
  margin-bottom: 8px;
}
.__nuxt-error-page .description {
  color: #7F828B;
  line-height: 21px;
  margin-bottom: 10px;
}
.__nuxt-error-page a {
  color: #7F828B !important;
  text-decoration: none;
}
.__nuxt-error-page .logo {
  position: fixed;
  left: 12px;
  bottom: 12px;
}
</style>